Bug 443374 - Review Request: openhpi-subagent - SNMP subagent for OpenHPI
Review Request: openhpi-subagent - SNMP subagent for OpenHPI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 04:56 EDT by Dan Horák
Modified: 2008-04-28 04:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 04:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-04-21 04:56:19 EDT
Spec URL: http://fedora.danny.cz/openhpi-subagent.spec
SRPM URL: http://fedora.danny.cz/openhpi-subagent-2.3.4-1.fc9.src.rpm
Description:
The openhpi-subagent package contains the Service Availability Forum's
Hardware Platform Interface SNMP sub-agent.
Comment 1 Dan Horák 2008-04-23 04:28:54 EDT
scratch build = http://koji.fedoraproject.org/koji/taskinfo?taskID=577471
Comment 2 Richard W.M. Jones 2008-04-25 10:33:28 EDT
- rpmlint output

openhpi-subagent.i386: E: executable-marked-as-config-file
/etc/rc.d/init.d/openhpi-subagent
openhpi-subagent.i386: W: conffile-without-noreplace-flag
/etc/rc.d/init.d/openhpi-subagent
openhpi-subagent.i386: W: service-default-enabled /etc/rc.d/init.d/openhpi-subagent
openhpi-subagent.i386: W: service-default-enabled /etc/rc.d/init.d/openhpi-subagent

Apparently init scripts shouldn't be marked as %config, so just
remove that annotation.  If the init script is intended to be
edited, then you should create a config file under /etc/sysconfig
and have the init file source that config file.

The service should be disabled by default.
http://fedoraproject.org/wiki/Packaging/SysVInitScript#head-c074b6a78b42c4c797d978750719ebcf262b4e61

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
  i386
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
- reviewer should build the package in mock
  (but koji build, so no need)
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
+ scriptlets should be sane
  but see above
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

----------

The only issues are those problems found by rpmlint.
Comment 3 Dan Horák 2008-04-25 11:54:49 EDT
Spec URL: http://fedora.danny.cz/openhpi-subagent.spec
SRPM URL: http://fedora.danny.cz/openhpi-subagent-2.3.4-2.fc9.src.rpm

%changelog
* Fri Apr 25 2008 Dan Horak <dan[at]danny.cz> - 2.3.4-2
- initscript is not a config file
- added missing R(postun)
- update the initd script
Comment 4 Richard W.M. Jones 2008-04-25 13:17:47 EDT
Yes, that looks fine.

APPROVED.
Comment 5 Dan Horák 2008-04-25 14:00:01 EDT
New Package CVS Request
=======================
Package Name: openhpi-subagent
Short Description: SNMP subagent for OpenHPI
Owners: sharkcz
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 6 Tom "spot" Callaway 2008-04-25 14:54:16 EDT
cvs done
Comment 7 Dan Horák 2008-04-28 04:53:43 EDT
imported and built in devel

Note You need to log in before you can comment on or make changes to this bug.